%define upstream_name	 IO-Ftp
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Wrapper for Net::FTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.600.0
BuildRequires: perl(Net::FTP) >= 2.670.0
BuildRequires: perl(Symbol) >= 1.20.0
BuildRequires: perl(URI) >= 1.250.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
IO::Ftp is a wrapper for Net::FTP to simplify its use when
using its stor and retr methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-5.mga8
+ Revision: 1495122
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-4.mga7
+ Revision: 1268754
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1028693
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 967806
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 850300
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 743904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685061
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 512234
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 29290
- mageia rebuild
- imported package perl-IO-Ftp

